@font-face {
    font-family: 'Bon Vivant Family Serif';
    src: url('fonts/BonVivantSerif.ttf');
}
@font-face {
    font-family: 'Bon Vivant Family Serif, Bold';
    src: url('BonVivantSerifBold.ttf');
}

@import 'components/variables';
@import 'components/mixin';

*, ::after, ::before {
    box-sizing: border-box;
}

body {
    overflow-x: hidden;

    li {
        list-style: none;
    }

    header {
        @include backGroundCoverHomePage($slideHomePage);
        position: relative;
        background-repeat: no-repeat;
        margin-bottom: 6%;

        .container {

            @include container;

            .header-items {
                display: flex;
                margin-left: 1.3%;
                margin-right: auto;
                padding-top: 1.5%;

                .navbar-brand {
                    color: $colorGreen;
                    height: auto;

                    .logo {
                        max-width: 80%;
                        width: 59%;
                    }
                }

                .nav {
                    padding-top: 1%;
                    padding-left: 2%;
                    opacity: 1;
                    text-align: left;
                    letter-spacing: 0px;
                    font: normal normal Bold 20px/40px $montserratFont;
                    color: $colorGreen;

                    > li {
                        position: relative;
                        list-style: none;

                        a {
                            @include font-size-16;
                            line-height: 81px;
                            padding: 0 18px;
                            opacity: 0.9;
                            font-family: var(--bs-font-monospace) !important;
                            color: $colorGreen;
                            text-transform: uppercase;

                            span {
                                margin-left: 8px;

                                i {
                                    margin-left: 8px;
                                }
                            }

                            &:hover {
                                opacity: 1;
                            }
                        }

                        &::after {
                            content: "";
                            width: 0;
                            height: 1px;
                            background-color: white;
                            position: absolute;
                            bottom: 16px;
                            left: 0;
                            -webkit-transition: width 400ms ease;
                            -moz-transition: width 400ms ease;
                            -ms-transition: width 400ms ease;
                            -o-transition: width 400ms ease;
                            transition: width 400ms ease;
                        }


                        &:hover::after {
                            width: 100%;
                        }
                    }

                }

                .menu-btn {
                    display: none;
                    align-items: center;
                    justify-content: end;

                    i {
                        color: #ffffff;
                        cursor: pointer;
                        background: #0a3c27;
                        padding: 10px;
                        border-radius: 8px;
                        font-size: 18px;
                    }
                }
            }
        }

        a {
            text-decoration: auto;
        }

        img {
            max-width: 100%;
        }

        .header-component {
            padding: 15% 0% 23% 0%;
            margin-left: 2.5%;
            margin-right: auto;

            .home-title {

                h1 {
                    letter-spacing: 0px;
                    font-size: 75px;
                    line-height: 123px;
                    font-family: $SerifFont;
                    color: $colorGreen;
                    @include uppercase;
                    @include fontBold;
                }
            }

            .btn-get-qoute-footer {
                @include btn-read-homePage(40%);
                @include uppercase;
            }
        }

        .certificate-label {
            display: inline-flex;
            width: 100%;
        }

        .certificate {
            font: normal normal 12px/17px $montserratFontBold;
            color: $colorGreen;
            @include text-overflow;
            letter-spacing: 0px;
            font-size: 12px;
            margin-left: 5px;
        }

        .leader-position {
            position: absolute;
            left: 10%;
            top: 81%;
            right: auto;
            bottom: auto;
        }

        .leaders {
            @include uppercase;
            color: $colorRed;
            font-family: $SerifFont;
            font-size: 200px;
            letter-spacing: 60px;
            width: 100%;
            max-width: 100%;
        }
    }

    /*   please re-check footer  */

    footer {
        position: relative;

        .container {
            @include container;
        }

        a {
            text-decoration: auto;
        }

        .footer-big {
            padding: 4.7% 0 2.7% 0;

            .font-16 {
                @include font-size-16;
            }

            .footer-widget {

                // class is parent
                .under-line-footer {
                    border: none;
                    height: 2px;
                    background: $colorOrange;
                    margin-top: 4%;
                    margin-bottom: 4%;
                }

                .footer-menu {
                    padding-left: 6%;

                    ul {
                        padding: 0;
                        margin: 0;

                        li {
                            padding: 1.2%;

                            a {
                                font: var(--unnamed-font-style-normal) normal var(--unnamed-font-weight-normal) var(--unnamed-font-size-20)/var(--unnamed-line-spacing-40) var(--unnamed-font-family-montserrat);
                                text-align: left;
                                font-family: normal normal normal 20px/40px $montserratFont;
                                letter-spacing: 0px;
                                color: $colorGray;
                                opacity: 1;
                                padding: 1.2%;
                            }
                        }
                    }
                }

                .footer-menu-service {
                    padding-left: 3% !important;

                    .under-line-footer-service {
                        @extend .under-line-footer;
                        margin-top: 2.3%;
                        margin-bottom: 2.3%;
                        width: 80%;
                    }
                }
            }

            .footer-widget-title {
                @include font-size-15;
                @include fontBold;
                margin-bottom: 0px;
                color: $colorOrange !important;
                font-family: $montserratFont;
            }

            .navbar-brand-footer {
                float: left;
                font-size: 18px;
                line-height: 20px;
                height: auto;

                .logo-footer {
                    max-width: 100%;
                    width: 80%;
                    height: auto;
                }
            }

            p {
                font: var(--unnamed-font-style-normal) normal var(--unnamed-font-weight-normal) var(--unnamed-font-size-20)/var(--unnamed-line-spacing-40) var(--unnamed-font-family-montserrat);
                text-align: left;
                font-family: normal normal normal 20px/40px $montserratFont;
                letter-spacing: 0px;
                color: $colorGray;
                opacity: 1;
                padding: 1.2%;
            }

            .btn-get-qoute-footer {
                @include btn-read-homePage(100%);
                @include uppercase;
            }
        }

        .copyright {
            @include fontBold;
            position: absolute;
            top: 100%;
            bottom: 0;
            width: 100%;
            color: #fff;
            font-size: 16px;
            background-color: #041D13;
            opacity: 1;
            height: 15%;

            .no-padding-right {
                padding-right: 0;
            }

            .no-padding-left {
                padding-left: 0%;
            }

            .copyright-phone {
                margin-left: 50%;
            }

            img {
                max-width: 100%;
            }
        }
    }

    .footer--light {
        background: $colorGreen;
    }

    /*  End check footer   */
}
